<template>
  <ContentScrollView style="background-color: transparent">
    <div v-if="isCertified" class="companyInfo-info-wrapper">
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">企业名称</div>
        <div class="companyInfo-info-item-content">江西君润商务服务有限公司</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">统一社会信用代码</div>
        <div class="companyInfo-info-item-content">420902197910211010</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">注册资本</div>
        <div class="companyInfo-info-item-content">捌佰万元整</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">企业类型</div>
        <div class="companyInfo-info-item-content">有限责任公司（自然人投资或控股 的法人独资）</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">成立日期</div>
        <div class="companyInfo-info-item-content">2024年11月11日</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">企业地址</div>
        <div class="companyInfo-info-item-content">江西省九江市共青城市xx路xx号xx xxxx</div>
      </div>
      <div class="companyInfo-info-item">
        <div class="companyInfo-info-item-label">经营范围</div>
        <div class="companyInfo-info-item-content">
          我是营业执照上的经营范围信息我 是营业执照上的经营范围信息我是
          营业执照上的经营范围信息我是营 业执照上的经营范围信息我是营业 执照上的经营范围信息
        </div>
      </div>
    </div>
    <div v-else class="company-info-unCertified-wrapper">
      <img :src="IconNoCertified" class="company-info-unCertified-icon" />
      <div class="company-info-unCertified-text">该企业尚未认证</div>
      <div class="company-info-unCertified-text">请谨慎核实招聘信息</div>
    </div>
  </ContentScrollView>
</template>

<script setup lang="ts">
import IconNoCertified from '@/assets/task/icon-no-certified.png';

defineOptions({
  name: 'CompanyInfo',
});

const isCertified = ref(true);
</script>

<style lang="scss">
@import '@/styles/common.scss';

.companyInfo-info-wrapper {
  background: #ffffff;
  border-radius: 12px;
  padding: 72px 28px 108px;

  .companyInfo-info-item {
    display: flex;
    font-weight: 400;
    font-size: 24px;
    line-height: 36px;
    margin-bottom: 24px;

    &:last-child {
      margin-bottom: 0;
    }

    .companyInfo-info-item-label {
      color: boleGetCssVar('text-color', 'secondary');
      margin-right: 54px;
      width: 200px;
      text-align: right;
    }

    .companyInfo-info-item-content {
      flex: 1;
      min-width: 0;
      color: boleGetCssVar('text-color', 'primary');
    }
  }
}

.company-info-unCertified-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 140px;

  .company-info-unCertified-icon {
    width: 320px;
    height: 180px;
    margin-bottom: 8px;
  }

  .company-info-unCertified-text {
    font-weight: 400;
    font-size: 32px;
    color: boleGetCssVar('text-color', 'primary');
    line-height: 48px;
  }
}
</style>
